Subject: bug#27314: guix includes wrong directory in build environment

From: ng0 <[email-masked]>
Date: Mon, 26 Jun 2017 21:25:35 +0000

Ludovic Courtès transcribed 0.9K bytes:
> Hi ng0,
> 
> config.log reads this:
> 
> > configure:9394: gcc -c -I/gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include -fno-strict-aliasing -Wall -g -O2	 -I/gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include  conftest.c >&5
> > In file included from /gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include/gnunet/gnunet_util_lib.h:56:0,
> >                  from conftest.c:44:
> > /gnu/store/5cbyk5gmw2gj017d02vyibz3v6rdldz7-gnunetgf-0.10.114b59076f/include/gnunet/gnunet_crypto_lib.h:80:20: fatal error: gcrypt.h: No such file or directory
> > compilation terminated.
> 
> I think this means that ‘gnunetgf’ should propagate libgcrypt.
> 
> I’m closing this bug because I think it’s a packaging issue and not the
> bug suggested in the Subject line.
> 
> Thanks,
> Ludo’.

The thing here is that I am _not_ using gnunetgf for the package in question,
I am using gnunet, from guix master. So from my perspective it is a bug and it
is repeating every time.

gnunetgf[2] inherits from gnunetg[1]

1: https://github.com/ng-0/guix_packages/blob/master/ng0/packages/gnunet.scm#L59
2: https://github.com/ng-0/guix_packages/blob/master/ng0/packages/gnunet.scm#L167

and gnunetg inherits from gnunet but overrides most of the package definition.

But my gnunet-fuse does *only* use ("gnunet" ,gnunet) directly from (gnu packages gnunet)
in guix master, not the module I defined. I don't think propagating libgcrypt in an
unrelated package will fix this issue.
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
infotropique: https://www.infotropique.org
personal: https://ng-0.github.io https://krosos.org/